Subject: Re: bug#27158: 25.2; Eliminating old usage of completing-read from built-in files

From: Dmitry Gutov <[email-masked]>
Date: Tue, 6 Jun 2017 03:09:43 +0300

On 6/6/17 3:06 AM, Ryan Thompson wrote:

>     Does it work well in the "don't want any default" case?
> 
> It does the same thing as completing-read-default, which is that it 
> allows you to enter an empty string by pressing RET and assumes that the 
> calling function is expecting that to happen. In particular, this means 
> that any code that wrongly assumed that setting REQUIRE-MATCH would 
> guarantee returning an element of COLLECTION is now equally broken in 
> both standard completion and ido completion, as opposed to being 
> spuriously "fixed" by ido ignoring the spec of completing-read.

Indeed. So less than ideal, like discussed.

> Anyway, I'm finding it to work pretty well without requiring a 
> distinction between commands that do or do not expect the empty string. 
> I merged that branch into my bleeding-edge branch and fixed a bunch of 
> bugs, and I'm going to test it for a while before releasing.

I agree that it's a step forward toward better compatibility.